Microsoft Virtualization Discussions

Permissions Fail After PowerShell Toolkit Upgrade

TMADOCTHOMAS
4,474 Views

Hello,

I just upgraded from version 9.10.1.2111 to version 9.11.1.2208 of the PowerShell Toolkit. After the upgrade, all of my PowerShell scripts fail with the message shown below. Any ideas as to the cause? I reverted to the VMware snapshot I took before upgrading and verified I can run the exact same commands pre-upgrade without any errors.

 

Connect-NcController : The remote server returned an error: (401) Unauthorized.

FullyQualifiedErrorId : HttpConnectionFailed,DataONTAP.C.PowerShell.SDK.ConnectNcController

1 ACCEPTED SOLUTION

TMADOCTHOMAS
4,273 Views

In case anyone searches this post, the answer is here. One of our NetApp reps pointed me in this direction. Adding -ontapi to the Connect-NcController command worked!

 

https://community.netapp.com/t5/Microsoft-Virtualization-Discussions/Powershell-Toolkit-AD-Login-not-working/m-p/437841/highlight/true

View solution in original post

8 REPLIES 8

mbeattie
4,443 Views

Hi,

 

Are you using an LDAP account for authentication? I think there might be a bug with that in the PSTK version. I'll flag it with the developers

 

/Matt

If this post resolved your issue, help others by selecting ACCEPT AS SOLUTION or adding a KUDO.

TMADOCTHOMAS
4,421 Views

Hi @mbeattie , no it's just a normal Windows service account created just for PowerShell scripting. It has limited rights on each of the clusters.

TMADOCTHOMAS
4,329 Views

Does anyone else have insight into the cause of this issue? I will simply have to bypass this update if there's no solution, which I don't want to do.

TMADOCTHOMAS
4,274 Views

In case anyone searches this post, the answer is here. One of our NetApp reps pointed me in this direction. Adding -ontapi to the Connect-NcController command worked!

 

https://community.netapp.com/t5/Microsoft-Virtualization-Discussions/Powershell-Toolkit-AD-Login-not-working/m-p/437841/highlight/true

JoshuaPost-M
2,947 Views

Thank you.  I've been sitting on the Powershell Module 9.10 version waiting to figure out why I couldn't authenticate with my AD Service Account anymore.  Odd that neither -ONTAPI nor -ZAPICALL are listed when you do 'get-help connect-nccontroller' but both of them allow me to authenticate when I couldn't without them.

TMADOCTHOMAS
2,920 Views

I agree, the lack of documentation is what created the confusion. Glad this post was helpful!

jcolonfzenpr
3,815 Views

The NetApp.ONTAP v9.11.1.2208 module is garbage. I don't know how this modules passed the QA checks. I uninstalled it and reinstalled v9.10.1.2111.

 

Get-Module -ListAvailable NetApp.ONTAP | Uninstall-Module -Force

Install-Module -Name NetApp.ONTAP -RequiredVersion 9.10.1.2111

Jonathan Colón | Blog | Linkedin

TMADOCTHOMAS
3,742 Views

Wow sorry to hear that. I'm only using it in limited ways thus far, but for what I'm using it for it's working the same as before.

Public